#
# spec file for package sobby
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sobby
Version:        0.4.8
Release:        11.20
Summary:        Stand-alone obby server
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://gobby.0x539.de/
Source:         http://releases.0x539.de/sobby/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel
BuildRequires:  libavahi-glib-devel
BuildRequires:  obby-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
sobby is a stand-alone obby server. It currently runs under Unix-like
platforms only.

%prep
%setup -q

%build
%configure --disable-static --with-pic
make %{?jobs:-j%jobs}

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/sobby
%doc %{_mandir}/man1/sobby.*

%changelog
* Mon Sep  9 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Replace glibmm2-devel with pkgconfig(glibmm-2.4) BuildRequires,
  ensure we pull only one (and correct) glibmm-devel package.
* Fri Feb  5 2016 zaitor@opensuse.org
- Replace libxml++-devel for pkgconfig(libxml++-2.6) BuildRequires:
  This is what configure really looks for.
* Tue Feb 21 2012 zaitor@opensuse.org
- Update to version 0.4.8:
  + Fix a build failure when compiled using glibmm 2.31 or greater.
- Dropped sobby-new-glibmm.patch, fixed upstream.
* Thu Jan 19 2012 vuntz@opensuse.org
- Add sobby-new-glibmm.patch: fix build with glibmm 2.31.
- Stop changing LDFLAGS and calling autoreconf: there's no need for
  that.
- Remove automake BuildRequires: we don't call autoreconf anymore.
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sun Dec 27 2009 vuntz@opensuse.org
- Update to version 0.4.7:
  + Depend on net6 >= 1.3.12 to handle non-blocking sockets
    correctly.
  + Fail on startup when the configuration file cannot be read.
* Mon Nov 30 2009 dimstar@opensuse.org
- Update to version 0.4.6:
  + Allow to configure both autosaving facilities (file and
    directory)
  + Initial files are added without directory names in their
    document title
  + Create sockets non-blocking on *nix systems.
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.4.5:
  + Run autosave on SIGUSR1 and SIGTERM if an autosave file is
    specified, even if autosave interval is 0
  + Only autosave if the session changed
  + Added a post-save-hook which could be used to tie the autosave
    to a VCS commit.
* Fri May 16 2008 crrodriguez@suse.de
- cleanup build requires
* Thu Apr  3 2008 hpj@suse.de
- Upgrade to version 0.4.4:
  * Allow initial session file to be specified in the configuration file.
  * Support for command directories from which executables could be called
    via Sobby commands.
  * Avahi support.
  * Autosave of all invididual files of a session into a specified directory.
  * Enabled keepalive to detect stale connections.
* Tue Jan 30 2007 sbrabec@suse.cz
- Spec file cleanup.
* Sun Jan 28 2007 ro@suse.de
- move to /usr
* Tue Dec  5 2006 james@usr-local-bin.org
- change glibmm24-devel to glibmm2-devel in BuildRequires
* Thu Sep 28 2006 ro@suse.de
- added libxml++-devel to BuildRequires
* Tue Sep 26 2006 wstephenson@suse.de
- Update to version 0.4.1
  * Support XML configuration files
  * Supports Gobby's command subsystem
* Fri Sep 15 2006 jhargadon@suse.de
- applied another compiler warning patch to address bug #202248
* Fri Sep  1 2006 jhargadon@suse.de
- patch to eliminate compiler warning #187244
* Sat Feb 25 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 lmichnovic@suse.cz
- Update to version 0.3.0 [#144674]
* Sat Jan 14 2006 kukuk@suse.de
- Add gmp-devel to nfb
* Fri Nov  4 2005 gekker@suse.de
- Initial import into autobuild, version 0.2.0
